%global mate_corba_version 1.1.0
%global glib2_version 2.14.0
%global dbus_version 1.0.0
%global dbus_glib_version 0.74

Summary:	A process-transparent configuration system
Name:		mate-conf
Version:	1.4.0
Release:	14%{?dist}
License:	LGPLv2+ and GPLv2+
URL:		http://mate-desktop.org
Source0:	http://pub.mate-desktop.org/releases/1.4/%{name}-%{version}.tar.xz

# Copy schemas from old package for later uninstall on upgrade.
# Macro to remove schemas.  Not meant to be used publically.
# Remove schemas unconditionally.
# Remove schemas on package removal (not upgrade).
Source1:	macros.mateconf

BuildRequires: dbus-glib-devel >= 0.8
BuildRequires: gettext
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: gobject-introspection-devel >= 0.9.5
BuildRequires: gtk2-devel
BuildRequires: gtk-doc >= 1.0
BuildRequires: intltool
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: mate-common
BuildRequires: mate-corba-devel >= %{mate_corba_version}
BuildRequires: openldap-devel
BuildRequires: polkit-devel >= 0.92

Requires: dbus
# for patch0
Requires: /usr/bin/killall

Patch0: %{name}-1.4.0-reload.patch
# http://bugzilla.gnome.org/show_bug.cgi?id=568845

%description
mate-conf is a process-transparent configuration database API used to
store user preferences. It has plug gable back ends and features to
support work group administration.

%package devel
Summary: Headers and libraries for mate-conf development
Requires: %{name}%{?_isa} = %{version}-%{release}
# this one maybe could be dropped too, but not sure yet -- rex
Requires: libxml2-devel

%description devel
mate-conf development package. Contains files needed for doing
development using mate-conf.

%package gtk
Summary: Graphical mate-conf utilities
Requires: %{name}%{?_isa} = %{version}-%{release}

%description gtk
The mate-conf-gtk package contains graphical mate-conf utilities
which require GTK+.

%prep
%setup -q -n mate-conf-%{version}
%patch0 -p1 -b .reload
NOCONFIGURE=1 ./autogen.sh

%build
%configure \
	--disable-static \
	--with-openldap \
	--enable-defaults-service \
	--enable-gtk \
	--enable-gsettings-backend=yes \
	--enable-introspection \
	--enable-gtk-doc

# drop unneeded direct library deps with --as-needed
# libtool doesn't make this easy, so we do it the hard way
sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0 /g' -e 's/	if test "$export_dynamic" = yes && test -n "$export_dynamic_flag_spec"; then/	func_append compile_command " -Wl,-O1,--as-needed"\n	func_append finalize_command " -Wl,-O1,--as-needed"\n\0/' libtool

make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/mateconf/schemas
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/mateconf/mateconf.xml.system
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rpm/
mkdir -p $RPM_BUILD_ROOT%{_localstatedir}/lib/rpm-state/mateconf
mkdir -p $RPM_BUILD_ROOT%{_datadir}/MateConf/matesettings

install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/rpm/

%find_lang %{name}


%post
/sbin/ldconfig

if [ $1 -gt 1 ]; then
    if ! grep -f mateconf.xml.system %{_sysconfdir}/mateconf/2/path; then
		sed -i -e 's@xml:readwrite:$(HOME)/.mateconf@&\n\n# Location for system-wide settings.\nxml:readonly:/etc/mateconf/mateconf.xml.system@' %{_sysconfdir}/mateconf/2/path
    fi
fi

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%doc COPYING NEWS README backends/README.evoldap
%config(noreplace) %{_sysconfdir}/mateconf/2/path
%config(noreplace) %{_sysconfdir}/mateconf/2/evoldap.conf
%dir %{_sysconfdir}/mateconf
%dir %{_sysconfdir}/mateconf/2
%dir %{_sysconfdir}/mateconf/mateconf.xml.defaults
%dir %{_sysconfdir}/mateconf/mateconf.xml.mandatory
%dir %{_sysconfdir}/mateconf/mateconf.xml.system
%dir %{_sysconfdir}/mateconf/schemas
%{_bindir}/mateconf-merge-tree
%{_bindir}/mateconftool-2
%{_libexecdir}/mateconfd-2
%{_libdir}/libmateconf-2.so.4*
%{_libdir}/MateConf/2/*.so
%dir %{_datadir}/sgml
%{_datadir}/sgml/mateconf/
%{_datadir}/MateConf/
%{_mandir}/man1/*
%dir %{_libdir}/MateConf
%dir %{_libdir}/MateConf/2
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.mate.MateConf.Defaults.conf
%{_libexecdir}/mateconf-defaults-mechanism
%{_datadir}/polkit-1/actions/org.mate.mateconf.defaults.policy
%{_datadir}/dbus-1/system-services/org.mate.MateConf.Defaults.service
%{_datadir}/dbus-1/services/org.mate.MateConf.service
%{_localstatedir}/lib/rpm-state/mateconf/
%{_libdir}/girepository-1.0
%config(noreplace) %{_sysconfdir}/rpm/macros.mateconf
%config(noreplace) %{_sysconfdir}/xdg/autostart/mateconf-gsettings-data-convert.desktop
%{_bindir}/mateconf-gsettings-data-convert
%{_bindir}/mateconf-gsettings-schema-convert
%{_libdir}/gio/modules/libgsettingsmateconfbackend.so

%files gtk
%doc COPYING NEWS README
%{_libexecdir}/mateconf-sanity-check-2

%files devel
%{_libdir}/libmateconf-2.so
%{_includedir}/mateconf/
%{_datadir}/aclocal/mateconf-2.m4
%{_datadir}/gtk-doc/html/mateconf
%{_libdir}/pkgconfig/mateconf-2.0.pc
%{_datadir}/gir-1.0/

%changelog
* Mon Aug 06 2012 Rex Dieter <rdieter@fedoraproject.org> 1.4.0-14
- tighten subpkgs deps (%{__isa})
- -devel: drop needless pkgconfig-related deps (they're autodetected)
- sort BR's
- omit needless Conflicts: mate-conf-dbus
- don't own /var/lib/rpm-state
- drop Group: tags
- %files: track abi/abi items closer

* Tue Jul 31 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-11
- remove %%defattr(-, root, root)
- remove rm -rf $RPM_BUILD_ROOT from install section
- rename GConf-2.18.0.1-reload.patch to mate-conf-1.4.0-reload.patch

* Mon Jul 30 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-10
- remove double BuildRequires

* Sun Jul 29 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-9
- fix rpmlint error
- add %%doc COPYING NEWS README to mate-conf-gtk as rpmlint want this

* Sat Jul 28 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-8
- fix licence information
- add information to macro
- fix url
- update specific versions from dependencies from configure.in
- Change %%defines to %%global

* Sat Jul 28 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-7
- remove *.la files

* Sat Jul 28 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.4.0-6
- initial package for fedora

* Sun Dec 25 2011 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.1.0-1
- mate-conf.spec based on GConf2-2.32.4-1.fc16 spec
